Package org.jboss.logging.processor.validation

## Class IdRangeValidator

- java.lang.Object
- - org.jboss.logging.processor.validation.IdRangeValidator

    public class IdRangeValidator
    extends java.lang.Object

Author:
  James R. Perkins

### Constructor Summary

Constructors
`IdRangeValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<ValidationMessage>` `validate​(MessageInterface messageInterface)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdRangeValidator

    public IdRangeValidator()

### Method Detail

#### validate

    public java.util.Collection<ValidationMessage> validate​(MessageInterface messageInterface)